Kerbal Space Program - Bug #1675

F3 mission summary screen, details do not include breaking solar panels
11/03/2013 03:07 PM - tfabris

Status: Closed Start date: 11/03/2013
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.22 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Summary:

- When your craft has an extendable solar array, if the solar panels get torn off by wind shear, the mission summary/details screen
(F3) does not include this breakage as one of the items in the list.

Version:
- 0.22, no mods.

Steps to reproduce:

- Create a simple Rover craft to drive around the surface of Kerbin.

- Atop the rover craft, place a Gigantor Solar Array panel, facing upwards.

- Launch the craft and drive around. Extend the solar panel array. If done correctly, the array should look like a giant sail atop the
rover.

- Continue driving around, and turn in a direction so that the panels of the array are blown off by the air resistance.

- The root mounting piece of the array is still intact, it's just that the solar panels have all blown off it.

- Press the F3 key to display the mission details/summary screen.

- The loss of the solar panels is not included in the list of events shown in that screen.

History

#1-11/27/2013 01:00 AM - prometheus

You don't even have to move to destroy your solar panels. Just hit ] or [ with a craft nearby and watch all your solar panels randomly explode for no
reason. .__.

#2 - 07/17/2016 09:25 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/08/2016 12:39 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

05/13/2024 1/1



http://bugs.kerbalspaceprogram.com/projects/ksp/wiki
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/
http://www.tcpdf.org

